//+------------------------------------------------------------------+
//|                                               test diagonals.mq4 |
//|                                                           Oneday |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Oneday"
#property link      ""
#property show_inputs
#include <stdlib.mqh>

extern   bool  blnDebug =  false;

//=============================================================================================================|
int start(){
   datetime dteT1    =  ObjectGet("T1",OBJPROP_TIME1);
   datetime dteT2    =  ObjectGet("T2",OBJPROP_TIME1);
   double   dblUpper =  ObjectGet("P1",OBJPROP_PRICE1); 
   double   dblLower =  ObjectGet("P2",OBJPROP_PRICE1);
   double   dblRange =  (dblUpper - dblLower); 
   
   if(blnDebug){
      Print("dblUpper: ",DoubleToStrMorePrecision(dblUpper,15));
      Print("dblLower: ",DoubleToStrMorePrecision(dblLower,15));
      Print("dblRange: ",DoubleToStrMorePrecision(dblRange,15));
   }
   
   int      intLimit =  25;
   double   dblY1    =  dblUpper;
   double   dblY2    =  (dblUpper + dblRange);
   string   strName  =  "diag:";
   
   for(int i = 0;i < intLimit; i++){
      ObjectCreate("diag:"+i,OBJ_TREND,0,dteT1,dblY1,dteT2,dblY2);
      ObjectSet("diag:"+i,OBJPROP_COLOR,Red);
      ObjectSet("diag:"+i,OBJPROP_RAY,true);
      dblY1 += dblRange;
      dblY2 += dblRange;
      if(blnDebug){
         Print("diag:"+i+": dblY1: ",DoubleToStrMorePrecision(dblY1,15));
         Print("diag:"+i+"dblY2: ",DoubleToStrMorePrecision(dblY2,15));
      }
   }
   WindowRedraw();
   return(0);
}